Loading...
Searching...
No Matches
sqlite Namespace Reference

## Classes

struct | null_type
| null_type is an empty type used to represent NULL values More...
struct | command
| command is the base class of all sql command classes An object of this class is not copyable More...
struct | connection
| connection is used to open, close, attach and detach a database. Further it has to be passed to all classes since it represents the connection to the database and contains the internal needed handle, so you can see a connection object as handle to the database An object of this class is not copyable More...
struct | database_exception
struct | buffer_too_small_exception
struct | database_misuse_exception
struct | execute
| execute can be used for SQL commands which should executed the constructor is defined in a way that it can be used like a function An object of this class is not copyable More...
struct | unknown_t
struct | null_t
struct | private_accessor
| A internal used class, shall not be used from users. More...
struct | result_construct_params_private
struct | query
| query should be used to execute SQL queries An object of this class is not copyable More...
struct | result
| result can only be created by a query object. An object of this class is not copyable. More...
struct | savepoint
| this is a helper class to handle transaction savepoints within SQLite More...
struct | transaction
| transaction is a helper class to start transactions within SQLite More...
struct | view
| view is used to create views. In SQLite a view can only be queried. INSERT, DELETE and UPDATE will fail on a view More...

## Typedefs

typedef std::vector< boost::uint8_t > | blob_t
typedef boost::shared_ptr< blob_t > | blob_ref_t
typedef boost::variant< unknown_t, int, boost::int64_t, long double, std::string, null_t, blob_ref_t > | variant_t
typedef boost::shared_ptr< result > | result_type

## Enumerations

enum | type { unknown , null , integer , real , text , blob }
enum class | transaction_type { undefined , deferred , immediate , exclusive }
| Defines the kind of transaction to begin. More...

## Variables

null_type | nil
| nil is used instead of NULL within the operator % syntax in this wrapper

## Typedef Documentation

## blob_ref_t

typedef boost::shared_ptr<blob_t> sqlite::blob_ref_t

Definition at line 55 of file variant.hpp.

## blob_t

typedef std::vector<boost::uint8_t> sqlite::blob_t

Definition at line 54 of file variant.hpp.

## result_type

typedef boost::shared_ptr<result> sqlite::result_type

Definition at line 148 of file result.hpp.

## variant_t

typedef boost::variant< unknown_t, int, boost::int64_t, long double, std::string, null_t, blob_ref_t > sqlite::variant_t

Definition at line 64 of file variant.hpp.

## Enumeration Type Documentation

## transaction_type

enum class sqlite::transaction_type

strong

Defines the kind of transaction to begin.

See also
  http://www.sqlite.org/lang_transaction.html for documentation about transaction kind.

When no transaction type is defined (`undefined`) the default behaviour is to create a deferred transaction, but the `undefined` constant is because maybe in future the default behaviour may change.

Note that for more type safety this needs Strongly Typed enums C++11 feature: http://www.open-std.org/jtc1/sc22/wg21/docs/papers/2007/n2347.pdf

Enumerator
undefined |
deferred |
immediate |
exclusive |

Definition at line 52 of file transaction.hpp.

## type

enum sqlite::type

Enumerator
unknown |
null |
integer |
real |
text |
blob |

Definition at line 43 of file variant.hpp.

## Variable Documentation

## nil

null_type sqlite::nil

extern

nil is used instead of NULL within the operator % syntax in this wrapper